知識社群
登入
中文(台灣)
English(US)
Q&A
線上人數:
157
AutoCAD開放式教學
社群功能
社群首頁
文件區
(34)
精華區
行事曆
活動
討論區
(454)
即時塗鴉牆
問卷
相簿
(5)
申請加入社群
文件分類
[
總覽
]
未分類
(34)
程式設計相關
常用連結
版主在台灣大學 資工所 系統訓練班的 課程介紹網頁
良葛格的 C語言程式教學講義
社群資訊
訪客: 536584
文章: 34
討論: 454
公告: 2
容量: 剩餘
433 MB
(500 MB)
閱讀權限: 開放
分類:
電腦資訊 / 軟體教學
版主: 高顯忠
副版主: 無
位置:
AutoCAD開放式教學
>
討論區
>
討論
修改圖形後如何讓標註面積隨著圖形變化自動修正呢?
(vheng,
say252001@yahoo.com.tw
, 2010-12-10 07:34)
1樓
修改圖形後如何讓標註面積隨著圖形變化自動修正呢?
下面是我目前使用的標註面積程式,要如何修改呢?
(defun c:sqm (/ obj st1 st2 tp) ;area objects. Uses current text style.
(while
(setq obj (entsel))
(redraw (car obj) 3) ;highlight
(command "area" "o" obj)
(setq st1 (strcat (rtos (getvar "area") 2 2))
st2 (strcat (rtos (* (getvar "area") 0.0001) 2 2) "")
)
(princ st1)(princ " ")(princ st2)(princ "\n")
(if
(setq tp (getpoint "Insert label point: "))
(if (= (cdr (assoc 40 (tblsearch "style" (getvar "textstyle")))) 0)
;;(command "text" tp "" "" st2 "text" "" st2) ;;text height
(command "text" tp "" "" st2) ;;text height
(command "text" tp "" st2 "text" "" st2)
)
)
(redraw (car obj) 4) ;un-highlight
)
(princ))
或是各位大師有更好的方式快速標註面積
(高顯忠,
sjgau4311@gmail.com
, 2010-12-10 07:44)
2樓
AUTOCAD 並沒有提供 面積標註的 自動關聯,
所以,唯一的辦法,大概就是 殺掉舊的標註,
重新 執行ㄧ次 程式吧?
© 2010 FormosaSoft Corp.
http://www.powercam.com.tw
service@powercam.com.tw
All rights reserved.
下面是我目前使用的標註面積程式,要如何修改呢?
(defun c:sqm (/ obj st1 st2 tp) ;area objects. Uses current text style.
(while
(setq obj (entsel))
(redraw (car obj) 3) ;highlight
(command "area" "o" obj)
(setq st1 (strcat (rtos (getvar "area") 2 2))
st2 (strcat (rtos (* (getvar "area") 0.0001) 2 2) "")
)
(princ st1)(princ " ")(princ st2)(princ "\n")
(if
(setq tp (getpoint "Insert label point: "))
(if (= (cdr (assoc 40 (tblsearch "style" (getvar "textstyle")))) 0)
;;(command "text" tp "" "" st2 "text" "" st2) ;;text height
(command "text" tp "" "" st2) ;;text height
(command "text" tp "" st2 "text" "" st2)
)
)
(redraw (car obj) 4) ;un-highlight
)
(princ))